rem Ȃ̒n}̂ݍƂ1A̒n}̂ݍƂ2AƂ0
set TARGET_TYPE=1

set SOURCE_URI=http://download.geofabrik.de/osm/asia/japan.osm.pbf
set MAP_FILE_ORG=C:\map_data\japan.osm.pbf
set DIC_FILE=C:\kakasi\share\kakasi\SKK-JISYO.geo C:\kakasi\share\kakasi\SKK-JISYO.station
set SPLITTER=java -Xmx1300M -jar "C:\map_tool\splitter-r200\splitter.jar"
set MKGMAP=java -Xmx1024M -jar "C:\map_tool\mkgmap-r2272\mkgmap.jar"
set TMPFILE=tmp.dat
set PATH=%PATH%;C:\gnuwin32\bin;S:\Program Files\Utility\archiver\7-Zip;S:\usr\local\kakasi\bin;C:\map_tool\
set MKGMAPARGS=template2.args

if "%1"=="" goto get_from_server

set MAP_FILE_ORG=%1
goto start_convert

:get_from_server
rem #Get osm file
wget -O %MAP_FILE_ORG% %SOURCE_URI%

:start_convert

rem #Go to output directory
mkdir output
cd output

rem #Clean up old pbf
for %%i in (*.osm.pbf) do (
  del %%i
)

rem #Split file
%SPLITTER% --description="OSM Japan" --max-nodes=1200000 %MAP_FILE_ORG%

rem #Convert Kanji to Roman character
for %%i in (*.osm.pbf) do (
  osmconvert %%i | perl ..\rep_list_pre.pl | iconv -c -f UTF-8 -t SHIFT-JIS | kakasi -Ha -Ka -Ja -Ea -ka %DIC_FILE% | perl -pi.bak -e "s/\^/-/g" > %%i.roman
)

cat template.args | sed -e "s/\.osm\.pbf/\.osm\.pbf\.roman/g;" > %MKGMAPARGS%
copy /b ..\tmz.args+%MKGMAPARGS% japan.args /y


if not "%TARGET_TYPE%" == "2" (
  %MKGMAP% -c japan.args ..\tmz.typ
  del gmapsupp.zip
  7z.exe a gmapsupp.zip gmapsupp.img osmmap_license.txt
)

if not "%TARGET_TYPE%" == "1" (
  %MKGMAP% -c japan.args ..\tmz.typ ..\contour\5327*.osm
  del gmapsupp_cntr.zip
  7z.exe a gmapsupp_cntr.zip gmapsupp.img osmmap_license.txt
)

pause
